<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>User Cards</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
          integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/css/style.css">

    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/solid.js"
            integrity="sha384-tzzSw1/Vo+0N5UhStP3bvwWPq+uvzCMfrN1fEFe+xBmv1C/AtVX5K0uZtmcHitFZ"
            crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"
            integrity="sha384-6OIrr52G08NpOFSZdxxz1xdNSndlD4vdcf/q2myIUVO0VsqaGHJsB0RaBE01VTOY"
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/ab35fad191.js" crossorigin="anonymous"></script>
</head>

<body>
<div class="wrapper">
    <!-- Sidebar  -->
    <nav id="sidebar">
        <div class="sidebar-header company-name">
            <a th:href="@{/}">
                <img src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/logo.png" alt="rip" width="200px">
            </a>
        </div>

        <ul class="list-unstyled components">
            <li class="">
                <a href="#reportsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-book"></i>
                        <label>Manage Finances</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="reportsSubmenu">
                    <li>
                        <a th:href="@{/make-BankTransfer}">Withdraw Funds</a>
                    </li>
                    <li>
                        <a th:href="@{/my-transactions}">Your Transactions</a>
                    </li>
                    <li>
                        <a th:href="@{/make-transaction}">Make a Transaction</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#walletsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-wallet"></i>
                        <label>Wallets</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="walletsSubmenu">
                    <li>
                        <a th:href="@{/my-wallets}">Your Wallets</a>
                    </li>
                    <li>
                        <a th:href="@{/add-wallet}">Create New Wallet</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#cardsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-credit-card"></i>
                        <label>Cards</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="cardsSubmenu">
                    <li>
                        <a th:href="@{/my-cards}">My cards</a>
                    </li>
                    <li>
                        <a th:href="@{/add-card}">Add New Card</a>
                    </li>
                </ul>
            </li>
            <li>
                <a th:href="@{/my-profile}">
                    <i class="fas fa-user" style="color: #ffffff;"></i>
                    <label>Profile</label>
                </a>
            </li>

            <li sec:authorize="hasRole('ADMIN')">
                <a href="#adminSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-user-cog"></i>
                        <label>Admin panel</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="adminSubmenu">
                    <li>
                        <a th:href="@{/users}">User management</a>
                    </li>
                    <li>
                        <a th:href="@{/transactions}">All transactions</a>
                    </li>
                </ul>

            </li>

        </ul>
    </nav>


    <!-- Page Content  -->
    <div id="content">
        <nav class="navbar navbar-expand-lg">
            <div class="container-fluid">

                <button type="button" id="sidebarCollapse">
                    <i id="collapse-icon" class="fas fa-bars fa-2x"></i>
                </button>

                <button class="btn d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fas fa-bars"></i>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="nav navbar-nav ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/my-profile}">
                                <i class="fas fa-user-circle"></i>
                                <label>Profile</label>
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/logout}">
                                <i class="fas fa-sign-out-alt"></i>
                                <label>Logout</label>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container main-container">
            <div class="container table-responsive user-wallet-container">
                <p class="users-list-section page-main-title">
                    Cards
                </p>

                <table class="table table-bordered wallets-section" id="cards_table">
                    <thead>
                    <tr>
                        <th scope="col">Card Id</th>
                        <th scope="col">Card Holder</th>
                        <th scope="col">Card Number</th>
                        <th scope="col">Expiration Date</th>
                        <th scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="card:${cards}">
                        <td th:text="${card.id}"></td>
                        <td th:text="${card.cardholderName}"></td>
                        <td th:text="${card.cardNumber}"></td>
                        <td th:text="${card.expirationDate}"></td>
                        <td>

                            <span class="d-inline-block" tabindex="0" data-toggle="tooltip"
                                  title="Edit Card">
                                <a id="update_card_by_number" th:href="@{'/update-card/' + ${card.id}}">
                                    <i class="fas fa-edit"></i>
                                </a>
                            </span>
                            <span class="d-inline-block" tabindex="0" data-toggle="modal"
                                  data-target="#activate-delete-modal"  title="Delete card">
                                <i class="fas fa-trash-alt c-delete"></i>
                            </span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="modal" id="activate-delete-modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content alert-modal">
                    <div class="text-center">
                        <i class="fas fa-check-circle fa-5x"></i>
                    </div>
                    <h2 class="text-center">Delete Card</h2>
                    <p class="text-center">Do you want to delete this card.</p>
                    <div class="text-center action-buttons">
                        <form action="" method="post" id="delete_wallet_form" style="margin-bottom: 5px">
                            <button type="submit" class="confirm-button">Delete</button>
                        </form>
                        <button type="button" class="cancel-button" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- jQuery CDN - Slim version (=without AJAX) -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<!-- Popper.JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
        integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"
        integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>

<script type="text/javascript"
        src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/app.js"></script>
<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/my-cards.js"></script>
</body>

</html>